Bug 183889 - Review Request: perl-Crypt-Primes
Review Request: perl-Crypt-Primes
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On: 175198 183374
Blocks: FE-ACCEPT perl-Crypt-RSA
  Show dependency treegraph
Reported: 2006-03-03 08:34 EST by Paul Howarth
Modified: 2008-06-24 20:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-19 03:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-03-03 08:34:52 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-Primes/perl-Crypt-Primes.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-Primes/perl-Crypt-Primes-0.50-1.src.rpm

This module implements Ueli Maurer's algorithm for generating large provable
primes and secure parameters for public-key cryptosystems. The generated primes
are almost uniformly distributed over the set of primes of the specified
bitsize and expected time for generation is less than the time required for
generating a pseudo-prime of the same size with Miller-Rabin tests. Detailed
description and running time analysis of the algorithm can be found in Maurer's
paper, "Fast Generation of Prime Numbers and Secure Public-Key Cryptographic
Parameters" (1994).
Comment 1 Jason Tibbitts 2006-04-13 09:48:17 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   041947b9645142615d687b89cf2e1a7b  Crypt-Primes-0.50.tar.gz
   041947b9645142615d687b89cf2e1a7b  Crypt-Primes-0.50.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns no directories (besides %doc)
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 2 Paul Howarth 2006-04-19 03:00:27 EDT
Thanks for the review.

 7837 (perl-Crypt-Primes): Build on target fedora-development-extras succeeded.
     Build logs may be found at

Branchh requests for FC-4 and FC-5 made.
Comment 3 Paul Howarth 2008-06-23 16:12:25 EDT
Package Change Request
Package Name: perl-Crypt-Primes
New Branches: EL-4 EL-5
Comment 4 Kevin Fenzi 2008-06-24 20:10:07 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.